Skip to main content
GET
/
lucca-api
/
employee-attributes
List employee-attributes
curl --request GET \
  --url https://{host}/lucca-api/employee-attributes \
  --header 'Api-Version: <api-version>' \
  --header 'Authorization: Bearer <token>'
{
  "type": "employee-attributes",
  "url": "https://example.ilucca.net/lucca-api/employee-attributes?limit=10",
  "totalCount": 3489,
  "items": [
    {
      "id": "34879",
      "type": "employee-attribute",
      "url": "https://example.ilucca.net/lucca-api/employee-attribute/34879",
      "definition": {
        "id": "givenName",
        "type": "employee-attribute-definition",
        "url": "https://example.ilucca.net/lucca-api/employee-attribute-definitions/givenName"
      },
      "employee": {
        "id": "416",
        "type": "employee",
        "url": "https://example.ilucca.net/lucca-api/employees/416"
      },
      "applicability": null,
      "value": "John",
      "createdAt": "2014-04-12T09:43:52.432Z",
      "lastUpdatedAt": "2014-04-12T09:43:52.432Z",
      "links": {}
    }
  ],
  "links": {
    "prev": null,
    "next": {
      "href": "https://example.ilucca.net/lucca-api/employee-attributes?limit=10&page=!4sKv"
    }
  },
  "embedded": {}
}
OAuth 2.0 scopes
 employee-attributes.readonly
or
 employee-attributes.readwrite

EstablishmentsThis API endpoint will filter out results based on accessible business-establishments.You may only access employee-attributes of employees whose applicable business-establishments are accessible to you.
ClaimsThis API endpoint will filter out results based on accessible claims.Each employee-attribute is associated with specific an employee directory “section”. You may only access employee-attributes attached to sections that are accessible to you.

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Query Parameters

id
string[]

Filter out employee-attributes on their IDs.

Maximum array length: 100
Minimum string length: 1
Example:
["123", "456"]
definition.id
string[]

Filter out employee-attributes on the id of their associated definition.

Maximum array length: 100
Minimum string length: 1
Example:
[
  "jobPosition.manager",
  "e_certifications",
  "employee.familyName"
]
employee.id
string[]

Filter out employee-attributes on the id of the employee they belong to.

Maximum array length: 100
Minimum string length: 1
Example:
["123", "456"]
applicability.asOf
string<date>

Only return employee-attributes whose applicability period includes the given date. An attribute is considered applicable when its applicability.start is on or before the date and its applicability.end is on or after the date. Null bounds are treated as open-ended.

value
string

Filter out employee-attributes on their value.

When the value is a JSON object, then supports sub-property filtering using dot notation (e.g. value.foo=bar).

sort
enum<string>[]

Order results by instruction. Read more about sorting. Default: id.

Available options:
id,
-id,
createdAt,
-createdAt,
value,
-value,
definition.id,
-definition.id
page
string

Cursor of the page to retrieve. Read more about pagination.

limit
integer
default:25

Number of items per page. Defaults to 25. Maximum is 100. Read more about pagination.

Required range: 0 <= x <= 100
include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

A collection of employee-attribute resources.

type
string
Allowed value: "employee-attributes"
url
string<uri>
totalCount
integer<int64> | null

Total number of items across all pages that satisfy query parameters.

Required range: x >= 0
items
employee-attribute · object[]

Items of this paginated list. May be partial and/or stale representations.

Maximum array length: 100

Links to related resources

embedded
object

No embedded resources on a employee-attribute(s) response. Expect an empty object if embedded are requested.